Skip to main content
Server path: /google-classroom-people | Type: Application | PCID required: Yes

Tools

ToolDescription
google-classroom-people_accept_invitationAccepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course.
google-classroom-people_create_guardian_invitationCreates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student’s guardian.
google-classroom-people_create_invitationCreates an invitation.
google-classroom-people_create_studentAdds a user as a student of a course.
google-classroom-people_create_teacherCreates a teacher of a course.
google-classroom-people_delete_guardianDeletes a guardian.
google-classroom-people_delete_invitationDeletes an invitation.
google-classroom-people_delete_studentDeletes a student of a course.
google-classroom-people_delete_teacherRemoves the specified teacher from the specified course.
google-classroom-people_get_guardianReturns a specific guardian.
google-classroom-people_get_guardian_invitationReturns a specific guardian invitation.
google-classroom-people_get_invitationReturns an invitation.
google-classroom-people_get_studentReturns a student of a course.
google-classroom-people_get_teacherReturns a teacher of a course.
google-classroom-people_get_user_profileReturns a user profile.
google-classroom-people_list_guardian_invitationsReturns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided.
google-classroom-people_list_guardiansReturns a list of guardians that the requesting user is permitted to view, restricted to those that match the request.
google-classroom-people_list_invitationsLists invitations. At least one of userId or courseId must be specified; calls with neither will fail.
google-classroom-people_list_studentsReturns a list of students of this course that the requester is permitted to view.
google-classroom-people_list_teachersReturns a list of teachers of this course that the requester is permitted to view.
google-classroom-people_patch_guardian_invitationModifies a guardian invitation.

google-classroom-people_accept_invitation

Accepts an invitation, removing it and adding the invited user to the teachers or students (as appropriate) of the specified course. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of the invitation to accept.

google-classroom-people_create_guardian_invitation

Creates a guardian invitation, and sends an email to the guardian asking them to confirm that they are the student’s guardian. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesID of the student (in standard format)
creationTimestringNoThe time that this invitation was created. Read-only.
invitationIdstringNoUnique identifier for this invitation. Read-only.
invitedEmailAddressstringYesEmail address that the invitation was sent to. This field is only visible to domain administrators.
statestringNoThe state that this invitation is in.

google-classroom-people_create_invitation

Creates an invitation. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course to invite the user to.
idstringNoIdentifier assigned by Classroom. Read-only.
rolestringYesRole to invite the user to have. Must not be COURSE_ROLE_UNSPECIFIED.
userIdstringYesIdentifier of the invited user. When specified as a parameter of a request, this identifier can be set to one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_create_student

Adds a user as a student of a course. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course to create the student in. This identifier can be either the Classroom-assigned identifier or an alias.
enrollmentCodestringNoEnrollment code of the course to create the student in. This code is required if userId corresponds to the requesting user; it may be omitted if the requesting user has administrative permissions to create students for any user.
profileobjectNoGlobal information for a user.
studentWorkFolderobjectNoRepresentation of a Google Drive folder.
userIdstringNoIdentifier of the user. When specified as a parameter of a request, this identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_create_teacher

Creates a teacher of a course. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
profileobjectNoGlobal information for a user.
userIdstringNoIdentifier of the user. When specified as a parameter of a request, this identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_delete_guardian

Deletes a guardian. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesThe student whose guardian is to be deleted. One of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user
guardianIdstringYesThe id field from a Guardian.

google-classroom-people_delete_invitation

Deletes an invitation. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of the invitation to delete.

google-classroom-people_delete_student

Deletes a student of a course. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
userIdstringYesIdentifier of the student to delete. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_delete_teacher

Removes the specified teacher from the specified course. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
userIdstringYesIdentifier of the teacher to delete. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_get_guardian

Returns a specific guardian. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesThe student whose guardian is being requested. One of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user
guardianIdstringYesThe id field from a Guardian.

google-classroom-people_get_guardian_invitation

Returns a specific guardian invitation. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesThe ID of the student whose guardian invitation is being requested.
invitationIdstringYesThe id field of the GuardianInvitation being requested.

google-classroom-people_get_invitation

Returns an invitation. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of the invitation to return.

google-classroom-people_get_student

Returns a student of a course. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
userIdstringYesIdentifier of the student to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_get_teacher

Returns a teacher of a course. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
userIdstringYesIdentifier of the teacher to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_get_user_profile

Returns a user profile. Parameters:
ParameterTypeRequiredDefaultDescription
userIdstringYesIdentifier of the profile to return. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user

google-classroom-people_list_guardian_invitations

Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesThe ID of the student whose guardian invitations are to be returned. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user * the string literal "-", indicating that results should be returned for all students that the requesting user is permitted to view guardian invitations.
invitedEmailAddressstringNoIf specified, only results with the specified invited_email_address are returned.
statesstring[]NoIf specified, only results with the specified state values are returned. Otherwise, results with a state of PENDING are returned.
pageTokenstringNonextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.
pageSizeintegerNoMaximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.

google-classroom-people_list_guardians

Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesFilter results by the student who the guardian is linked to. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user * the string literal "-", indicating that results should be returned for all students that the requesting user has access to view.
invitedEmailAddressstringNoFilter results by the email address that the original invitation was sent to, resulting in this guardian link. This filter can only be used by domain administrators.
pageTokenstringNonextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.
pageSizeintegerNoMaximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results.

google-classroom-people_list_invitations

Lists invitations. At least one of userId or courseId must be specified; calls with neither will fail. Parameters:
ParameterTypeRequiredDefaultDescription
userIdstringNoRestricts returned invitations to those for a specific user. The identifier can be one of the following: * the numeric identifier for the user * the email address of the user * the string literal "me", indicating the requesting user
courseIdstringNoRestricts returned invitations to those for a course with the specified identifier.
pageSizeintegerNoMaximum number of items to return. The default is 500 if unspecified or 0. The server may return fewer than the specified number of results.
pageTokenstringNonextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.

google-classroom-people_list_students

Returns a list of students of this course that the requester is permitted to view. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
pageSizeintegerNoMaximum number of items to return. The default is 30 if unspecified or 0. The server may return fewer than the specified number of results.
pageTokenstringNonextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.

google-classroom-people_list_teachers

Returns a list of teachers of this course that the requester is permitted to view. Parameters:
ParameterTypeRequiredDefaultDescription
courseIdstringYesIdentifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.
pageSizeintegerNoMaximum number of items to return. The default is 30 if unspecified or 0. The server may return fewer than the specified number of results.
pageTokenstringNonextPageToken value returned from a previous list call, indicating that the subsequent page of results should be returned. The list request must be otherwise identical to the one that resulted in this token.

google-classroom-people_patch_guardian_invitation

Modifies a guardian invitation. Parameters:
ParameterTypeRequiredDefaultDescription
studentIdstringYesThe ID of the student whose guardian invitation is to be modified.
invitationIdstringYesThe id field of the GuardianInvitation to be modified.
updateMaskstringYesMask that identifies which fields on the course to update. This field is required to do an update. The update fails if invalid fields are specified. The following fields are valid: * state When set in a query parameter, this field should be specified as updateMask=,,...
statestringYesThe state that this invitation is in.